# Read document evidence (https://docs-ecmrhub-v2.lucaspiera.com/docs/api/documents/getEvidence)

## POST /rest/v1/rpc/evidence

Read document evidence

Canonical evidence of a document: versions, events, signatures and the digest chain.

```json
{
  "operationId": "getEvidence",
  "parameters": [],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "document_id": {
              "type": "string",
              "format": "uuid"
            }
          },
          "required": [
            "document_id"
          ]
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/DeviceEvidence"
          }
        }
      }
    },
    "default": {
      "$ref": "#/components/responses/Problem"
    }
  }
}
```

Schemas referenced as `#/components/...` are in the full contract: https://docs-ecmrhub-v2.lucaspiera.com/openapi.json